Saturday, June 7, 2008

What's New in nbPython Milestone 3

What i am trying to do with our development is release a milestone about every two or three weeks. With that in mind i am proud to release milestone 3 of nbPython. The release can be downloaded from the nbpython site(https://nbpython.dev.java.net). There are a couple of great new features in this release.

The first of the new features is execution of a python script. In the project window, If you right click on a python script one of the options is run. Select this option and it will be run in the output window at the bottom. Also if you have the script already open in the editor, On the menu bar select run then run python script.

The second new feature is being able to set Python interpreter in the options panel. To access the options panel, select Tools then Options from the menu bar. Once the menu bar is displayed go to nbPython button on the top. Now the nbPython options are displayed. You can set the python interpreter to your favorite python runtime. If you are using CPython then check off the native option below the interpreter command. Click ok to accept the changes
That's it for this release.
Code you later,
Alley

2 comments:

Elijah Ministries said...

Hello Allan, I tried to add your modules but i get these errors:

Missing required modules for Plugin XML Retriever:
XML Retriever [module org.netbeans.modules.xml.retriever/1 = 200805300101]
Missing required modules for Plugin pyEditor:
Project API [module org.netbeans.modules.projectapi/1 > 1.15]

How do I fix this:
BTW I'm new to Netbeans. I have used Wingware 101, and SPE. I want to try out netbeans.
God bless you for good work!
Apostle of Jesus
srhymes2002 at yahoo dot co dot uk

Alley said...

this message is when you try to load the modules for nbPython in Netbeans 6.1. Currently nbPython requires netbeans daily builds.

Thanks,
Alley